SET NAMES 'utf8';

--
-- Создать таблицу "addons_paykeeper"
--
CREATE TABLE IF NOT EXISTS addons_paykeeper (
  order_id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  id_sys INT(10) UNSIGNED NOT NULL,
  uid BIGINT(16) UNSIGNED DEFAULT NULL,
  amount DECIMAL(18, 2) UNSIGNED DEFAULT NULL,
  server_time DATETIME DEFAULT NULL,
  status TINYINT(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (order_id)
)
ENGINE = INNODB
CHARACTER SET koi8r
COLLATE koi8r_general_ci;

--
-- Создать таблицу "addons_paypal"
--
CREATE TABLE IF NOT EXISTS addons_paypal (
  id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
  uid BIGINT(20) UNSIGNED DEFAULT NULL,
  date DATETIME NOT NULL COMMENT 'время биллинга',
  status TINYINT(4) NOT NULL DEFAULT 0 COMMENT 'статус платежа: 1 - ОК',
  amount DECIMAL(9, 2) UNSIGNED NOT NULL COMMENT 'сумма',
  currency CHAR(3) NOT NULL COMMENT 'тип валюты',
  payment_date CHAR(25) NOT NULL COMMENT 'Время платежа в их формате',
  txn_id CHAR(17) NOT NULL COMMENT 'ID платежа PayPal',
  PRIMARY KEY (id)
)
ENGINE = INNODB
CHARACTER SET koi8r
COLLATE koi8r_general_ci;

--
-- Создать таблицу "addons_sberbankru"
--
CREATE TABLE IF NOT EXISTS addons_sberbankru (
  order_id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  uid BIGINT(16) UNSIGNED DEFAULT NULL,
  amount DECIMAL(18, 2) UNSIGNED DEFAULT NULL,
  txn_id CHAR(36) NOT NULL,
  txn_date DATETIME DEFAULT NULL,
  server_time DATETIME DEFAULT NULL,
  status TINYINT(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (order_id)
)
ENGINE = INNODB
CHARACTER SET koi8r
COLLATE koi8r_general_ci;

--
-- Создать таблицу "queue_messages"
--
CREATE TABLE IF NOT EXISTS queue_messages (
  m_id BIGINT(8) NOT NULL AUTO_INCREMENT COMMENT 'Simple rolling counter (no real use except to keep mySQL happy)',
  mq_id BIGINT(8) NOT NULL DEFAULT 0 COMMENT 'The queue that this message is targeted',
  m_msg TEXT NOT NULL COMMENT 'The message to the task processor in JSON format',
  m_created TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT 'When message was received',
  m_log TEXT DEFAULT NULL COMMENT 'Log of task (reserved for later)',
  m_respond VARCHAR(128) DEFAULT NULL COMMENT 'url to poll on completion',
  m_status ENUM('new','open','done','closed','failed') NOT NULL DEFAULT 'new',
  m_started TIMESTAMP NULL DEFAULT NULL COMMENT 'When the task processor was last initiated',
  m_reply TEXT DEFAULT NULL COMMENT 'Task response in JSON format',
  m_rc INT(11) NOT NULL DEFAULT 0 COMMENT 'Consume return code',
  m_completed TIMESTAMP NULL DEFAULT NULL COMMENT 'When the task completed processing and returned',
  m_errors INT(11) NOT NULL DEFAULT 0 COMMENT 'The number of times this task entry has failed',
  m_uuid VARCHAR(36) NOT NULL DEFAULT '' COMMENT 'Message uuid generated by the server for api access',
  PRIMARY KEY (m_id),
  UNIQUE INDEX m_uuid (m_uuid)
)
ENGINE = INNODB
CHARACTER SET utf8
COLLATE utf8_general_ci;

--
-- Создать таблицу "queue_types"
--
CREATE TABLE IF NOT EXISTS queue_types (
  mq_id BIGINT(8) NOT NULL AUTO_INCREMENT COMMENT 'Internal message queue id',
  mq_name VARCHAR(64) NOT NULL COMMENT 'The name used to access this queue programtically',
  mq_type ENUM('message','api','fork','intval','dataval') NOT NULL DEFAULT 'message' COMMENT 'What type of queue is this',
  mq_created TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT 'Note of when this Queue was initially written to (or created ''manually'')',
  mq_timeout INT(8) NOT NULL DEFAULT 30 COMMENT 'Retry timeout',
  mq_maxerrors INT(11) NOT NULL DEFAULT 5 COMMENT 'Maximum number of times to try a task before giving up',
  mq_desc TEXT DEFAULT NULL COMMENT 'Additional (optional) comments about this queue',
  mq_respond VARCHAR(128) DEFAULT NULL COMMENT 'Optional url to send response information (overriden by m_respond)n/loop',
  mq_intval BIGINT(8) DEFAULT NULL COMMENT 'Value for queue type intval (otherwise null)',
  mq_data TEXT DEFAULT NULL COMMENT 'Value for queue type dataval and fork with list of messages queues to write to (otherwise null)',
  PRIMARY KEY (mq_id),
  UNIQUE INDEX mq_name (mq_name)
)
ENGINE = INNODB
CHARACTER SET utf8
COLLATE utf8_general_ci;

